### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xuartns550_stats.c File Reference

## Detailed Description

This file contains the statistics functions for the 16450/16550 UART driver.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00a ecm  08/16/01 First release
     1.00b jhl  03/11/02 Repartitioned driver for smaller files.
     1.11a sv   03/20/07 Updated to use the new coding guidelines.

## Functions

void | XUartNs550_GetStats (XUartNs550 *InstancePtr, XUartNs550Stats *StatsPtr)
void | XUartNs550_ClearStats (XUartNs550 *InstancePtr)

## Function Documentation

void XUartNs550_ClearStats | ( | XUartNs550 * | InstancePtr | ) |

This function zeros the statistics for the given instance.

Parameters:

  | InstancePtr | is a pointer to the XUartNs550 instance.

Returns:
  None.

Note:
  None.

void XUartNs550_GetStats | ( | XUartNs550 * | InstancePtr,
|  | XUartNs550Stats * | StatsPtr
| ) |

This functions returns a snapshot of the current statistics in the area provided.

Parameters:

  | InstancePtr | is a pointer to the XUartNs550 instance.
  | StatsPtr | is a pointer to a XUartNs550Stats structure to where the statistics are to be copied to.

Returns:
  None.

Note:
  None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.